--- qwtconfig.pri.orig	2024-05-08 17:00:29.929579728 +1000
+++ qwtconfig.pri	2025-01-22 20:43:41.682747429 +1100
@@ -19,7 +19,7 @@
 QWT_INSTALL_PREFIX = $$[QT_INSTALL_PREFIX]
 
 unix {
-    QWT_INSTALL_PREFIX    = /usr/local/qwt-$$QWT_VERSION
+    QWT_INSTALL_PREFIX    = /usr
     # QWT_INSTALL_PREFIX = /usr/local/qwt-$$QWT_VERSION-qt-$$QT_VERSION
 }
 
@@ -28,9 +28,9 @@
     # QWT_INSTALL_PREFIX = C:/Qwt-$$QWT_VERSION-qt-$$QT_VERSION
 }
 
-QWT_INSTALL_DOCS      = $${QWT_INSTALL_PREFIX}/doc
-QWT_INSTALL_HEADERS   = $${QWT_INSTALL_PREFIX}/include
-QWT_INSTALL_LIBS      = $${QWT_INSTALL_PREFIX}/lib
+QWT_INSTALL_DOCS      = $${QWT_INSTALL_PREFIX}/doc/qwt-$${QWT_VERSION}
+QWT_INSTALL_HEADERS   = $${QWT_INSTALL_PREFIX}/include/qwt
+QWT_INSTALL_LIBS      = $${QWT_INSTALL_PREFIX}/lib$${LIBDIRSUFFIX}
 
 ######################################################################
 # Designer plugin
@@ -42,14 +42,12 @@
 # runtime environment of designer/creator.
 ######################################################################
 
-QWT_INSTALL_PLUGINS   = $${QWT_INSTALL_PREFIX}/plugins/designer
-
 # linux distributors often organize the Qt installation
 # their way and QT_INSTALL_PREFIX doesn't offer a good
 # path. Also QT_INSTALL_PREFIX is only one of the default
 # search paths of the designer - not the Qt creator
 
-#QWT_INSTALL_PLUGINS   = $$[QT_INSTALL_PREFIX]/plugins/designer
+QWT_INSTALL_PLUGINS   = $$[QT_INSTALL_PLUGINS]/designer
 
 ######################################################################
 # Features
@@ -63,7 +61,7 @@
 # with every Qt upgrade.
 ######################################################################
 
-QWT_INSTALL_FEATURES  = $${QWT_INSTALL_PREFIX}/features
+QWT_INSTALL_FEATURES  = $$[QMAKE_MKSPECS]/features
 # QWT_INSTALL_FEATURES  = $$[QT_INSTALL_PREFIX]/features
 
 ######################################################################
--- src/src.pro.orig	2024-05-08 17:00:29.905579150 +1000
+++ src/src.pro	2025-01-23 08:02:01.624870000 +1100
@@ -17,7 +17,12 @@
 QWT_OUT_ROOT = $${OUT_PWD}/..
 
 TEMPLATE          = lib
-TARGET            = $$qwtLibraryTarget(qwt)
+greaterThan(QT_MAJOR_VERSION, 4) {
+    TARGET            = $$qwtLibraryTarget(qwt-qt5)
+}
+else {
+    TARGET            = $$qwtLibraryTarget(qwt)
+}
 
 DESTDIR           = $${QWT_OUT_ROOT}/lib
 
--- src/src.pro.orig	2025-01-23 10:28:07.711859611 +1100
+++ src/src.pro	2025-01-23 11:07:47.904859611 +1100
@@ -36,7 +36,12 @@
     
             # we increase the SONAME for every minor number
 
+greaterThan(QT_MAJOR_VERSION, 4) {
+            QWT_SONAME=libqwt-qt5.so.$${VER_MAJ}.$${VER_MIN}
+}
+else {
             QWT_SONAME=libqwt.so.$${VER_MAJ}.$${VER_MIN}
+}
             QMAKE_LFLAGS *= $${QMAKE_LFLAGS_SONAME}$${QWT_SONAME}
             QMAKE_LFLAGS_SONAME=
         }
--- designer/designer.pro.orig	2024-05-08 17:00:29.909579246 +1000
+++ designer/designer.pro	2025-01-23 08:07:26.809701095 +1100
@@ -98,8 +98,14 @@
         # compile the path for finding the Qwt library
         # into the plugin. Not supported on Windows !
 
-        QMAKE_RPATHDIR *= $${QWT_INSTALL_LIBS}
-        qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+        contains(QWT_CONFIG, QwtDll) {
+            greaterThan(QT_MAJOR_VERSION, 4) {
+                qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt-qt5)
+            }
+            else {
+                qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+            }
+        }
 
         contains(QWT_CONFIG, QwtDll) {
 
--- examples/examples.pri.orig	2024-05-08 17:00:29.917579440 +1000
+++ examples/examples.pri	2025-01-23 08:56:07.317443863 +1100
@@ -34,7 +34,12 @@
 }
 
 QMAKE_RPATHDIR *= $${QWT_OUT_ROOT}/lib
-qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+greaterThan(QT_MAJOR_VERSION, 4) {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt-qt5)
+}
+else {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+}
 
 greaterThan(QT_MAJOR_VERSION, 4) {
 
--- playground/playground.pri.orig	2024-05-08 17:00:29.913579343 +1000
+++ playground/playground.pri	2025-01-23 08:57:25.935379885 +1100
@@ -35,7 +35,12 @@
 
 
 QMAKE_RPATHDIR *= $${QWT_ROOT}/lib
-qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+greaterThan(QT_MAJOR_VERSION, 4) {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt-qt5)
+}
+else {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+}
 
 greaterThan(QT_MAJOR_VERSION, 4) {
 
--- tests/tests.pri.orig	2024-05-08 17:00:29.921579536 +1000
+++ tests/tests.pri	2025-01-23 09:11:46.040715981 +1100
@@ -39,7 +39,12 @@
 
 
 QMAKE_RPATHDIR *= $${QWT_ROOT}/lib
-qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+greaterThan(QT_MAJOR_VERSION, 4) {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt-qt5)
+}
+else {
+       qwtAddLibrary($${QWT_OUT_ROOT}/lib, qwt)
+}
 
 greaterThan(QT_MAJOR_VERSION, 4) {
 
